﻿@using PagedList.Mvc;
@using Bll.Models;
@model PagedList.IPagedList<UserWithSummary>

@{
    ViewBag.Title = "Main";
    var positionIds = (IEnumerable<int>)ViewBag.PositionIds;
}

<div class="d-flex w-100 flex-column align-items-center">
    <h2>Summaries</h2>
    <div class="container">
        <div class="row">
            <div class="col-9 border border-1 p-1" id="MainSummariesId">
                @{ Html.RenderPartial("MainSummaryList", Model.AsEnumerable()); }
            </div>
            <div class="col-3 border border-1 h-fit-cont p-1">
                <div class="d-flex justify-content-center flex-column">
                    @using (Html.BeginForm("Main", "Summary", FormMethod.Post))
                    {
                        @Html.AntiForgeryToken()
                        <ul class="list-group mb-3">
                            @foreach (PositionModel item in ViewBag.Positions)
                            {
                                <li class="list-group-item">
                                    @if (positionIds != null && positionIds.Contains(item.Id))
                                    {
                                        <input type="checkbox" id="@item.Id" name="positionIds" value="@item.Id" checked>
                                    }
                                    else
                                    {
                                        <input type="checkbox" id="@item.Id" name="positionIds" value="@item.Id">
                                    }
                                    <label class="ms-2" for="@item.Name}"> @item.Name </label>
                                </li>
                            }
                        </ul>
                        <div class="d-flex justify-content-center mb-2">
                            <button type="submit" class="btn btn-primary d-flex">Search</button>
                        </div>
                    }
                    @if (User.IsInRole("User"))
                    {
                        <div class="d-flex w-100 justify-content-center mb-2">
                            @Html.ActionLink("Add Summary", "CreateNewSummary", "Summary", null, new { @class = "btn btn-primary" })
                        </div>
                    }
                    @if (User.IsInRole("Admin"))
                    {
                        <div class="d-flex w-100 justify-content-center mb-2">
                            @Html.ActionLink("Add Position", "CreatePosition", "Position", null, new { @class = "btn btn-primary" })
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex justify-content-center">
        @Html.PagedListPager(Model, page => Url.Action("Main", new { page, positionIds = ViewBag.PositionIds }))
    </div>
</div>

